Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class Erasure extends SubComponent with InfoTransform with reflect.internal.transform.Erasure with Analyzer with TypingTransformers with TreeDSL with TypeAdaptingTransformer
  Definition Classes
    transform
- AbsAmbiguousTypeError
- AbsTypeError
- AccessTypeError
- Adaptation
- AmbiguousImplicitTypeError
- AmbiguousTypeError
- AnalyzerPlugin
- CODE
- ClassForCaseCompanionAttachment
- ClassMethodSynthesis
- CompleterWrapper
- ComputeBridges
- ConstructorDefaultsAttachment
- Context
- ContextReporter
- DefMacroExpander
- DefaultsOfLocalMethodAttachment
- Delayed
- DivergentImplicitTypeError
- DynamicRewriteAttachment
- Eraser
- ErasureMap
- ErasureTransformer
- ErrorUtils
- Failure
- Fallback
- Function1
- GenericArray
- HasMember
- HasMethodMatching
- HasUnapply
- ImplicitAmbiguousMsg
- ImplicitAnnotationMsg
- ImplicitInfo
- ImplicitNotFoundMsg
- ImplicitSearch
- ImplicitsContextErrors
- ImportContext
- ImportInfo
- InferCheckable
- Inferencer
- InferencerContextErrors
- JavaErasureMap
- JavaReflectionResolvers
- LockingTypeCompleter
- MacroArgs
- MacroExpander
- MacroExpanderAttachment
- MacroExpansionAttachment
- MacroImplBinding
- MacroImplRefAttachment
- MacroPlugin
- MacroRuntimeAttachment
- MacroRuntimeResolver
- MacroStatus
- Message
- MethodSynth
- NamedApplyInfo
- Namer
- NamerContextErrors
- NamesDefaultsErrorsGen
- NoContext
- NoInstance
- NormalTypeError
- NormalTypeErrorFromCyclicReference
- OpenImplicit
- PatternTyper
- Phase
- PolyTypeCompleter
- PosAndMsgTypeError
- ScalaErasureMap
- SearchResult
- SilentResult
- SilentResultValue
- SilentTypeError
- Skipped
- StdPhase
- Success
- SuperArgsAttachment
- SuppressMacroExpansionAttachment
- SymbolTypeError
- Tag
- TreeTypeError
- TypeAdapter
- TypeCompleter
- TypeCompleterBase
- TypeDiag
- TypeErrorWithUnderlyingTree
- TypeErrorWrapper
- Typer
- TyperContextErrors
- TyperDiagnostics
- TypingTransformer
- UnknownSig
- instantiate
- javaErasure
- mixinTransformer
- namerFactory
- packageObjects
- scalaErasure
- specialScalaErasure
- typerFactory
- typingStack

o

scala.tools.nsc.transform.Erasure

# mixinTransformer 

###

#### object mixinTransformer extends Global.Transformer

Source
  Erasure.scala

Linear Supertypes
Global.Transformer, Global.Transformer, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. mixinTransformer
2. Transformer
3. Transformer
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A
   Definition Classes
     Transformer
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
7.  def currentClass: Global.Symbol
   Attributes
     protected
   Definition Classes
     Transformer
8.  def currentMethod: Global.Symbol
   Attributes
     protected
   Definition Classes
     Transformer
9.  var currentOwner: Global.Symbol
   Attributes
     protected[scala]
   Definition Classes
     Transformer
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  def transform(tree: Global.Tree): Global.Tree
    Definition Classes
      mixinTransformer → Transformer
22.  def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]
    Definition Classes
      Transformer
23.  def transformIdents(trees: List[Global.Ident]): List[Global.Ident]
    Definition Classes
      Transformer
24.  def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]
    Definition Classes
      Transformer
25.  def transformModifiers(mods: Global.Modifiers): Global.Modifiers
    Definition Classes
      Transformer
26.  def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]
    Definition Classes
      Transformer
27.  def transformTemplate(tree: Global.Template): Global.Template
    Definition Classes
      Transformer
28.  def transformTrees(trees: List[Global.Tree]): List[Global.Tree]
    Definition Classes
      Transformer
29.  def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]
    Definition Classes
      Transformer
30.  def transformUnit(unit: Global.CompilationUnit): Unit
    Definition Classes
      Transformer
31.  def transformValDef(tree: Global.ValDef): Global.ValDef
    Definition Classes
      Transformer
32.  def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]
    Definition Classes
      Transformer
33.  def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]
    Definition Classes
      Transformer
34.  val treeCopy: Global.TreeCopier
    Definition Classes
      Transformer
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Ungrouped